Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices
Class NoApplicableCodeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.ogcbase.OGCException
                  org.deegree.ogcwebservices.OGCWebServiceException
                      org.deegree.ogcwebservices.NoApplicableCodeException

All Implemented Interfaces:
  Serializable

    public class NoApplicableCodeException

extends OGCWebServiceException

No other exceptionCode specified by this service and server applies to this exception

locator = None, omit �locator� parameter

Since:
  2.0
Version:
  $Revision: 26212 $, 1.0. $Revision: 26212 $, $Date: 2010-08-27 14:00:42 +0200 (Fr, 27. Aug 2010) $
Author:
  Andreas Poth, last edited by: $Author: apoth $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcbase.OGCException
`code`

Constructor Summary
`NoApplicableCodeException(String message)`
`NoApplicableCodeException(String locator, String message)`
`NoApplicableCodeException(String locator, String message, ExceptionCode code)`

Method Summary

Methods inherited from class org.deegree.ogcwebservices.OGCWebServiceException
`create, create, getLocator, setLocator`

Methods inherited from class org.deegree.ogcbase.OGCException
`getCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoApplicableCodeException

    public NoApplicableCodeException(String message)

Parameters:
  `message` -

### NoApplicableCodeException

    public NoApplicableCodeException(String locator,
                                     String message)

Parameters:
  `locator` -
  `message` -

### NoApplicableCodeException

    public NoApplicableCodeException(String locator,
                                     String message,
                                     ExceptionCode code)

Parameters:
  `locator` -
  `message` -
  `code` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org